Upload Return Rejection Evidence
curl --request POST \
--url https://omnicommerce.ai/api/v1/returns/{returnId}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileconst form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://omnicommerce.ai/api/v1/returns/{returnId}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.ai/api/v1/returns/{returnId}/evidence"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text){
"ok": true,
"apiVersion": "<string>",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "completed",
"data": {
"receipt": "<string>"
},
"links": {},
"warnings": [
"<string>"
],
"recommendations": [
"<string>"
]
}Returns
Upload Return Rejection Evidence
Requires orders:write. For a rejection choice with input.evidenceUpload: true, upload one JPEG or PNG image up to 5 MB.
Use the receipt and filename in input.evidence when submitting the reviewed rejection. A rejection can include up to six images. Each receipt is scoped to its return and expires after 24 hours.
POST
/
api
/
v1
/
returns
/
{returnId}
/
evidence
Upload Return Rejection Evidence
curl --request POST \
--url https://omnicommerce.ai/api/v1/returns/{returnId}/evidence \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file=@example-fileconst form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://omnicommerce.ai/api/v1/returns/{returnId}/evidence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://omnicommerce.ai/api/v1/returns/{returnId}/evidence"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text){
"ok": true,
"apiVersion": "<string>",
"operationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "completed",
"data": {
"receipt": "<string>"
},
"links": {},
"warnings": [
"<string>"
],
"recommendations": [
"<string>"
]
}Authorizations
Query Parameters
Response
Request completed. Inspect data.success, per-target results and pendingCount for processing progress.